Openwall GNU/*/Linux - a small security-enhanced Linux distro for servers
[<prev] [next>] [<thread-prev] [day] [month] [year] [list]
Date: Wed, 18 Jul 2018 23:49:23 +0200
From: Reiner Herrmann <reiner@...ner-h.de>
To: musl@...ts.openwall.com
Subject: Re: Re: Segmentation fault in static binaries built with recent
 binutils

On Wed, Jul 18, 2018 at 11:37:22PM +0200, Szabolcs Nagy wrote:
> i see the same behaviour on debian sid with
> $ ld --version
> GNU ld (GNU Binutils for Debian) 2.30.90.20180710
> Copyright (C) 2018 Free Software Foundation, Inc.
> This program is free software; you may redistribute it under the terms of
> the GNU General Public License version 3 or (at your option) a later version.
> This program has absolutely no warranty.
> 
> i haven't bisected the issue but i suspect both
> 2.30 and 2.31 branches are affected by some recent
> change (but not the initial 2.30 release).
> 

Ah, I think 2.30.90 is a 2.31 pre-release version number.
I ran my successful tests with 2.30-22 (which is 2.30).

Download attachment "signature.asc" of type "application/pgp-signature" (834 bytes)

Powered by blists - more mailing lists

Your e-mail address:

Powered by Openwall GNU/*/Linux - Powered by OpenVZ